> ## Documentation Index
> Fetch the complete documentation index at: https://duxweb-22.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 文章列表



## OpenAPI

````yaml GET /content/article
openapi: 3.1.0
info:
  title: DuxCMS
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: 内容
paths:
  /content/article:
    get:
      tags:
        - 内容
      summary: 文章列表
      parameters:
        - name: class
          in: query
          description: 分类 id
          required: false
          example: ''
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Accept
          in: header
          description: ''
          example: application/json
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          example: >-
            Bearer
            eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJtZW1iZXIiLCJpYXQiOjE2OTk5NDg3ODYsImV4cCI6MTcwMjU0MDc4NiwiaWQiOjgsInBhc3N3b3JkIjoiJDJ5JDEwJDNjc3ZFM0xMN01aOWRUSGk0dWJlZ3Vqd3J6M25vMnVhYmdhUHd3TEdSVzg3NWFEU0NcL1JTUyJ9.yL2N-o6WJZUZOdlpIdfN8kbLSdkAhTW49FwdKYR0Gjo
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: 文章 id
                        class_name:
                          type: string
                          description: 分类名称
                        title:
                          type: string
                          description: 文章标题
                        subtitle:
                          type: 'null'
                          description: 文章副标题
                        keywords:
                          type: 'null'
                          description: 关键词
                        descriptions:
                          type: string
                          description: 描述
                        images:
                          type: array
                          items:
                            type: string
                          description: 封面图集
                        source:
                          type: 'null'
                          description: 来源
                        source_avatar:
                          type: 'null'
                          description: 来源头像
                        view:
                          type: integer
                          description: 浏览量
                        time:
                          type: string
                          description: 发布时间
                        extend:
                          type:
                            - object
                            - 'null'
                          properties: {}
                          x-apifox-orders: []
                          description: 扩展字段
                          x-apifox-ignore-properties: []
                      x-apifox-orders:
                        - id
                        - class_name
                        - title
                        - subtitle
                        - keywords
                        - descriptions
                        - images
                        - source
                        - source_avatar
                        - view
                        - time
                        - extend
                      required:
                        - extend
                      x-apifox-ignore-properties: []
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        description: 总数量
                      page:
                        type: integer
                        description: 当前页码
                    required:
                      - total
                      - page
                    x-apifox-orders:
                      - total
                      - page
                    x-apifox-ignore-properties: []
                required:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-orders:
                  - code
                  - message
                  - data
                  - meta
                x-apifox-ignore-properties: []
              examples:
                '1':
                  summary: 成功示例
                  value:
                    code: 200
                    message: ok
                    data:
                      - id: 1
                        class_name: 默认分类
                        title: 欢迎使用 duxcms 内容管理系统
                        subtitle: null
                        keywords: null
                        descriptions: duxcms 是一款简单、易用强大的内容管理系统。
                        images: []
                        source: null
                        source_avatar: null
                        view: 0
                        time: '2023-12-14 15:18:32'
                        collect: 0
                        comment: 0
                        praise: 0
                        extend: null
                    meta:
                      total: 1
                      page: 1
      deprecated: false
      security: []

````